2.6.14
*Fix* CCM API to cater for sync function changes

2.6.13
*Fix* CCM API to import in contact name with salutation in front

2.6.12
*Fix* CCM doesnt update correct contact
*Change* CCM will add Salutation infront of the contact name

2.6.11
*CHANGE* Service Report email add back approve button, fix email format

2.6.10
*CHANGE* Service Report email will show a url instead of approve button

2.6.9
Service Report:
*FIX* Footer size will adjust based on if there is Remarks or not

2.6.8
Service Report:
*FIX* Print page number incorrectly

2.6.7
Job Plan:
*FIX* Completed task not updated

2.6.6
Home:
*CHANGE* Remove fullcalendar css and js that caused the loading page

2.6.5
Service Report :
*ADD* Approval tracker

2.6.4
Sales Quotation :
*ADD* Add probability field.

2.6.3
Sales Quotation :
*ADD* Export invoice to excel.

2.6.2
Sales Quotation :
*ADD* Open confirm approval from the approval list.
*ADD* Add button into email to link back to the website and directly open the approval list.
*CHANGE* Change 'Title' to 'Quotation Title'.
*CHANGE* Rearrange UI between add. contact, quotation title, and currency.
*CHANGE* Move clear and save button to the left and add spacing between save and preview button.
*CHANGE* Modify the 'Preview' to bold and add '=' symbol.
*CHANGE* Add login access control for menu.
*CHANGE* Create config to set default currency.

2.6.1
Sales Quotation :
*CHANGE* Preview tab select and tab sequence label.
*CHANGE* "Service Confirmation" change to "Service Quotation" on preview.
*CHANGE* Approve also require reason.
*CHANGE* Retrieve list default display for status = Open and Issued only.
*CHANGE* Modify total investment box to rounded and add spacing above the box.
*CHANGE* Put company Tel and Co. Reg in 1 line on preview.
*CHANGE* Flexible customer address spacing on header for preview.

2.6.0
Sales Quotation :
*ADD* Prefix setting for internal quotation number.
*ADD* Prefix setting for proforma invoice.
*ADD* Bank details and invoice setting.
*ADD* Additional information, 4 user defined fields.
*ADD* Additional attachment.
*ADD* Single approval.
*ADD* Generate proforma invoice.
*ADD* Add total discount type under item and maintenance.
*CHANGE* Include discount information on the preview.

2.5.3
Sales Quotation :
*ADD* Expected accept date, expected pay date, and % of payment in header.
*ADD* Sales target screen.

2.5.2
Sales Quotation :
*ADD* Preferred invoice date in header.

2.5.1
Job Plan :
*ADD* Complete task button on jon plan level.
Service Report:
*ADD* Balance days column on time tracker list.

2.5.0
Service Report:
*ADD* Reminder engine for service approval email 

2.4.8 pService
Sales Quotation:
*CHANGE* Message when customer already exist.

2.4.7 pService
Sales Quotation:
*ADD* Job status summary report.
*ADD* Export to excel sales quotation summary report.

2.4.6 pService
Sales Quotation:
*ADD* Sales quotation sumamry report.

2.4.5 pService
*CHANGE* Chang the label on job utilization report.

2.4.4 pService
Sales Quotation:
*ADD* Add item section/phase under item entries.
*ADD* Add item section/phase in the preview.

2.4.3 pService
Sales Quotation:
*FIX* Missing item details after save edit record.
*FIX* Incorrect numbering.
*FIX* Create new quotation but record missing after success save.
*CHANGE* Cover page entries and preview.

2.4.2 pService
Sales Quotation:
*CHANGE* Preview content enhancement.
*CHANGE* Email subject and content title as "Quotation for <title of the quotation>".

2.4.1 pService
*Fix* Report print preview keep loading until timeout.
*FIX* Unable to save service entries and hang the system.

2.4.0 pService
*Fix* complete button function on service report task .
*ADD* Agent Schedule Dashboard.

2.3.0 pService
Sales Quotation :
*ADD* Retrieve list filtering by date range.
*ADD* Retrieve list sorting based on selected date column.
*ADD* Title entries on the header.
*ADD* Title column on retrieve list.
*REMOVE* Mobile and email column on retrieve list.
*CHANGE* Enabled save and load template for cover.

2.2.1 pService
Sales Quotation :
*ADD* Copy the sales transaction and create as new sales quotation.
*CHANGE* Move buttons to top.
*FIX* GST for Items not saved into the database.

2.2.0 pService
Sales Quotation :
*ADD* Revision selection.
*ADD* Internal revision and customer revision.
*ADD* Submit the quotation for internal approval.

2.1.9 pService
Sales Quotation :
*FIX* Update appendix template not updated the current template content.
*ADD* Retrieve list filtering by company.

2.1.8 pService
Sales Quotation :
*CHANGE* Modify the cover entries tab for save.
*CHANGE* Change the print preview to print cover page a page for each.

2.1.7 pService
Sales Quotation :
*FIX* Bugs fixing on the print preview.
*CHANGE* Remain all the record value when click save button.
*ADD* M&S tab - add in subtotal, discount, gst, grand total. follow like items.
*ADD* Send email modal - add preview button to preview the attachment of the sales quotation.
*ADD* Send email modal - add 1 button Attachment, can add multiple attachment.

2.1.6 pService
Sales Quotation :
*CHANGE* Change the format of the quotation number

2.1.5 pService
Sales Quotation :
*CHANGE* Maximum number of lines for cover page.

2.1.4 pService
Sales Quotation :
*FIX* Standardize Tooltip naming for all button.
*FIX* Disable double click save to draft button in Service Report.
*ADD* Validation in Service Report.

*CHANGE* Update template flow in all menu.
*FIX* Image Logo in email for Sales Quotation.

2.1.3 pService
Sales Quotation :
*ADD* Print preview cater for all tabs based on selection and sequence number.
*ADD* Issue, Revise, and Accepted button functionality.
*FIX* Attachment report print.

2.1.2 pService
Sales Quotation :
*ADD* Print preview function to the print button on the retrieve list.
*ADD* Delete funtion for delete button on the retrieve list.

2.1.1 pService
Sales Quotation :
*FIX* Add PK for tables

2.1.0 pService
Sales Quotation :
*ADD* Unit price and Qty for the items entries
*ADD* Include the appendix to the print preview on the last page
*ADD* Project plan entries, edit and update

2.0.11 pService
Job Quotation :
*CHANGE* End Date in the Job Task following the Start Date if Start Date greater than End Date
*FIX* Save Resources
*FIX* Save and Load Template
*CHANGE* Remove 0 value in Allocated Hours
*FIX* Excel Report for Venue 
*FIX* Datepicker not showing correctly

Job Plan :
*CHANGE* End Date in the Job Plan following the Start Date if Start Date greater than End Date
*CHANGE* Billing Date
*FIX* Save and Load Template
*CHANGE* Remove 0 value in Allocated Hours
*FIX* Job Utilization Report Approved by customer representative name did not display.

2.0.10 pService
*FIX* Approval Screen phone number is not aligned. 

2.0.9 pService
Sales Quotation:
*ADD* Appendix entries.
*CHANGE* Modify the print preview for the items alignment and spacing.
*FIX* Report print preview error.
*FIX* Missing record after save.

2.0.8 pService
Sales Quotation:
*ADD* Retireve list to load all current record in the database.
*ADD* Edit and update record details.
*CHANGE* Modify print preview format.

2.0.7 pService
Job Plan:
*FIX* Customer contact detail not display in Service Report print preview.

2.0.6 pService
Job Plan:
*ADD* Allow Job Quotation to edit when Job Plan deleted.

2.0.5 pService
Job Plan :
*FIX* Days Used but Not Paid in Utilization

Actual Vs Billing Report :
*FIX* Days Used but Not Paid in Utilization

2.0.4 pService
Job Plan :
*CHANGE* Format Report for Utilization

*ADD* New Menu for Actual Vs Billing Report

2.0.3 pService
Job Quotation:
*ADD* Add Line Remarks under Job Task entries and print preview

2.0.2 pService
Job Quotation:
*ADD* Add Venue under Job Task entries and print preview

Job Plan:
*ADD* Add Venue under Job Task entries and print preview

2.0.1 pService
Sales Quotation:
*ADD* Preview sales quotation.

2.0.0 pService
Sales Quotation:
*ADD* Items entries tab function.

1.0.2 pService
Job Quotation:
*CHANGE* Print Preview & Export for Project Member data.

Job Plan:
*CHANGE* Print Preview for Project Member data.

1.0.1 pService
Job Quotation:
*ADD* New tab 'Resources'.

Job Plan:
*ADD* New tab 'Resources'.
*FIX* Resources in Job Plan Print Preview.
*FIX* Unable to edit the task when task is completed


0.0.18 pService
Job Quotation:
*FIX* Quotation field is not the aligned horizontally with the rest of the field.
*FIX* Field gap (between Type to Cust Code and Type to End Date is not the same) in smaller screen.

Serivce Report :
*ADD* BU filter.
*CHANGE* Job Number order ascending.
*CHANGE* grey off complete button if job if completed.

Reset Password :
*CHANGE* USER table USER_CHANGE_PASSWORD data type to tiny int 

JOB_PLAN : 
*CHANGE* Formating in job plan print 

0.0.17 pService
Customer Master:
*FIX* Unable to update customer contact after make changes.
*FIX* Active checkbox does not work properly. Customer active but shows as inactive.

Service Report:
*FIX* Hours calculation incorrect.
*FIX* Unable to send email after approval.
*CHANGE* completed to Completed.

Job Quotation:
*FIX* UI is okay when shown in the big screen but button is not aligned nicely in small screen. Please amend the alignment of the button.
*FIX* Column width is different before and after clicking filter button.
*FIX* Lines on the Job Quotation does not show until the end.
*FIX* Status of the Job Quotation does not change after Job Quotation is converted to Job Plan. Status should show as ‘Completed’.

Reports:
*REMOVE* Remove Job Plan Vs Actual Report from menu. Not needed anymore.

0.0.16 pService
*FIX* Job Quotation & Job Plan Template name follow old name if new name is blank.
*FIX* Job Plan Template task not updated if update template.

0.0.15 pService
Home:
*FIX* When the job quotation screen is adjusted to half and back to full screen, all menu on the left and top disappear.

Customer Master:
*FIX* Filter does not work on the ‘Status’.
*CHANGE* Change 'Non-active' to 'Inactive'.

Job Quotation:
*FIX* Update existing template name to new template name and update existing template task details to new template task details.
*ADD* PDF Print Preview and Export to Excel for Job Quotation
*CHANGE* Adjust the space between actions buttons.

Job Plan:
*FIX* (+) button is not align nicely with the dust bin iconin smaller screen.
*FIX* Job Plan Report View
*CHANGE* Adjust the space between actions buttons.

Service Report:
*CHANGE* Adjust the space between actions buttons.

0.0.14 pService
Login:
*ADD* New logo for pService
*FIX* Login Screen Frontend UI
*FIX* Login Screen Backend UI

Customer Master:
*FIX* Reset Password error.
*FIX* Sort icon (^) does not show besides the header.
*FIX* Filter does not work on the ‘Status’.
*FIX* Put checkbox for Active besides Customer Code field.

Job Quotation:
*FIX* Can the PM Name sort by Alphabetical order?
*FIX* (+) button is not align nicely with the dust bin icon.
*FIX* Header Title is too big and sort button (^) is not besides the header title
*FIX* Why the column width is different before and after clicking filter button?
*FIX* Lines per row does not show.
*FIX* Status does not change when the Job Quotation has been converted to Plan. Status change to completed after convert to Job Plan.
*FIX* Job Quotation in the smaller screen need adjustment.
*FIX* Save As Template button and Load Template Button is not aligned at one row
*FIX* The date shown is not the selected date but today’s date. Same issue with End Date
*FIX* Quotation box and Type box does not have the same alignment horizontally

Job Plan :
*ADD* Description field
*CHANGE* Line Remarks button
*FIX* Job Plan Print Preview for Resource Name
*FIX* Filter for Status
*FIX* Button Color for delete data for all menu

0.0.13 pService
*ADD* Update Template in Job Quotation and Job Plan

0.0.12 pService
*FIX* Customer with (transactions) Job Quotation and Job Plan, but still able to delete customer master.
*ADD* Active Job will display Job Quotation if Job Plan is blank.

0.0.11 pService
*FIX* Customer Contact - The Title bar wording height is not aligned.
*FIX* Project - Wording in title bar is not align on the height.

0.0.10 pService
*FIX* Serivce report designation name
*ADD* Check for duplicates template names on job quotation
*FIX* Unresposive portlet for add job quotation
*FIX* Label not align job quotation
*CHANGE* User able to select or key in date manually 

0.0.9 pService
*CHANGE* Title from “My Quotation” to “Job Quotation”
*FIX* Drawn the lines to end of screen Job Quotation and Job Plan
*FIX* Delete Template in Job Quotation
*CHANGE* Window title for save and load template to “Template” in Job Plan and Job Quotation
*CHANGE* Move the save template windows in Job Plan to middle of screen (Similar to Job Quotation)
*FIX* Delete Template in Job Plan
*FIX* Update Doc Ref for document in Job Plan
*FIX* Warning message if start date is greater than end date in Job Plan and Job Quotation
*CHANGE* Sorting the Job Plan and Job Quotation List by Job Number
*FIX* Align the Add button to be the same with the dust bin button in Job  Plan and Job Quotation
*FIX* Customer PM Name dropdown in Job Plan and Job Quotation
*FIX* Job End Date doesnt take from Confirm Date
*FIX* Customer Code dropdown sort by alphabetical order
*FIX* Updating the Job End Date in Job Plan
*FIX* design in the Job Plan Report
*CHANGE* Job Billing Status Summary Report change Date filter based on confirm date. Previous is based on create date
*FIX* Expected Roxy MC Interface project to appear.
*REMOVE* Job Plan Vs Actual Report - Remove product type column since has not been used anymore.
*CHANGE* Job Plan Vs Actual Report - Job Status change value to complete and incomplete.
*FIX* Service Report - Filter : All not working except Customer Name
*FIX* Print Service Report

0.0.8 pService
*CHANGE* align the Add button to be the same with the button below (add button should be aligned with dust bin button)
*CHANGE* Align the add button with dust bin button
*FIX* Cus Rep is not picking up from the correct Contact Information in Customer Master
*FIX* After Break hours is incorrect for the second line of service report. There is no break but it deducts by 60 mins
*FIX* Service is created but not showing in the Service Report List
*FIX* Print out of service report does not have logo
*CHANGE* Shift Name and Designation to be aligned with Billable total**
*FIX* Same issue with the attachment at Job Plan. When User click Update Ref, it will be overwriting one of the reference
*FIX* The email only includes 1 document attachment although attached 2 documents
*FIX* There is no service report attach in the email
*FIX* There should be no indent in for the content of the message
*FIX* Note should be centre aligned
*FIX* put some margin between top page and the logo (EMAIL)
*FIX* Reduce the gap by half between ‘Service Report Approval’ to the wording of ‘The service report …’
*CHANGE* Change the word to be ‘Service report ([SERVICE_REPORT_NO]) is authorised successfully. Thank you.’
*CHANGE* Remove the Note and Disclaimer
*CHANGE* Reduce the gap by half between ‘Service Report Approval’ to the wording of ‘The service report …’
*CHANGE* Change the word to be ‘Service report ([SERVICE_REPORT_NO]) has already been approved previously.’ sure the word is centre aligned
*CHANGE* Change the Note to be ‘Note: If the service has been approved but not authorized by you, ct us at 6337 0770 or email [CONSULTANT_EMAIL]
*CHANGE* Fix page alignment in service report print
*CHANGE* Color of status in service report list

0.0.7 pService
*FIX* From Customer Master List Click Edit icon, Display shows bottom of screen.
*FIX* When (+), header show new title of the screen (New Customer Master) however the screen does not refresh. Does not happen every time.
*FIX* Save button is shown as green colour but at another module show as purple colour. standardise the colour**
*FIX* Add button show below dust bin and Filter button to show at the current Add button? To standardise with Job Plan**
*FIX* Add button should be below dust bin button. Standardise with other module**
*FIX* Reset Password - Error occur when click on reset password
*FIX* pService – Error when clock on “pService” 
*FIX* Why Version number shows “(DEV)”, any difference with testing version? - Remove the (DEV)
*FIX* Change Password – Unable to change password using “Change Password” option

0.0.6 pService(DEV)
*FIX* Address information and Contact Information not showing?
*FIX* Customer with (transactions) Job Quotation and Job Plan, but still able to delete customer master.
*FIX* Error when click the save button to update the address without the contact name.

0.0.5 pService(DEV)
*ADD* Job Billing Status Summary Report and Job Plan vs Actual Report

0.0.4 pService(DEV)
*ADD* Customer Master module.
*ADD* Filtering and sorting for customer master, job quotation, job plan, and service report.

0.0.3 pService(DEV)
*ADD* Job Plan Report.

0.0.2 pService(DEV)
*ADD* Job Utilization Report.
*Fix* Total Allocated not showing anything.
*Change* Job Quotation sorted by phase.
*Change* Job plan sorted by phase.
*Change* Job Quotation date based on job start date.
*Change* Job Plan date based on job start date.
*remove* Add Button on job plan.

0.0.1 pService(DEV)
*ADD* Job Quotation CRUD Feature.
*CHANGE* Job Centre to Job Plan.